# spectrum_device – Creates/deletes devices in CA Spectrum

New in version 2.6.

- Synopsis

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- This module allows you to create and delete devices in CA Spectrum https://www.ca.com/us/products/ca-spectrum.html.

- Tested on CA Spectrum 9.4.2, 10.1.1 and 10.2.1

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
agentport - | Default: 161 | UDP port used for SNMP discovery.
community - |  | SNMP community used for device discovery. Required when `state=present`.
device - / required |  | IP address of the device. If a hostname is given, it will be resolved to the IP address. aliases: host, name
landscape - / required |  | Landscape handle of the SpectroServer to which add or remove the device.

state
-

Choices:
- present ←
- absent

On `present` creates the device when it does not exist.
On `absent` removes the device when it exists.

url - / required |  | HTTP, HTTPS URL of the Oneclick server in the form (http|https)://host.domain[:port] aliases: oneclick_url
url_password - / required |  | Oneclick user password. aliases: oneclick_password
url_username - / required |  | Oneclick user name. aliases: oneclick_user

use_proxy
boolean

Choices:
- no
- yes ←

if `no`, it will not use a proxy, even if one is defined in an environment variable on the target hosts.

validate_certs
boolean

Choices:
- no
- yes ←

If `no`, SSL certificates will not be validated. This should only be used on personally controlled sites using self-signed certificates.

## Notes

Note

- The devices will be created inside the Universe container of the specified landscape.

- All the operations will be performed only on the specified landscape.

## Examples

    - name: Add device to CA Spectrum
      local_action:
        module: spectrum_device
        device: '{{ ansible_host }}'
        community: secret
        landscape: '0x100000'
        oneclick_url: http://oneclick.example.com:8080
        oneclick_user: username
        oneclick_password: password
        state: present

    - name: Remove device from CA Spectrum
      local_action:
        module: spectrum_device
        device: '{{ ansible_host }}'
        landscape: '{{ landscape_handle }}'
        oneclick_url: http://oneclick.example.com:8080
        oneclick_user: username
        oneclick_password: password
        use_proxy: no
        state: absent

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
device dictionary | success | device data when state = present Sample: {'model_handle': '0x1007ab', 'landscape': '0x100000', 'address': '10.10.5.1'}

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Renato Orgito (@orgito)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.